io.vertx.cassandra

## Interface CassandraRowStream

- All Superinterfaces:
    ReadStream<com.datastax.oss.driver.api.core.cql.Row>, StreamBase

      public interface CassandraRowStream
      extends ReadStream<com.datastax.oss.driver.api.core.cql.Row>

  A `ReadStream` for `Row` consumption.
  Author:
    Pavel Drankou, Thomas Segismont

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `CassandraRowStream` | `endHandler(Handler<Void> handler)` Set an end handler.
    `CassandraRowStream` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the read stream.
    `CassandraRowStream` | `fetch(long l)` Fetch the specified `amount` of elements.
    `CassandraRowStream` | `handler(Handler<com.datastax.oss.driver.api.core.cql.Row> handler)` Set a data handler.
    `CassandraRowStream` | `pause()` Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.
    `default Future<Void>` | `pipeTo(WriteStream<com.datastax.oss.driver.api.core.cql.Row> dst)` Same as `ReadStream.pipeTo(WriteStream, Handler)` but returns a `Future` of the asynchronous result
    `default void` | `pipeTo(WriteStream<com.datastax.oss.driver.api.core.cql.Row> dst, Handler<AsyncResult<Void>> handler)` Pipe this `ReadStream` to the `WriteStream`.
    `CassandraRowStream` | `resume()` Resume reading, and sets the buffer in `flowing` mode.

    - ### Methods inherited from interface io.vertx.core.streams.ReadStream

      `pipe`

- - ### Method Detail

    - #### exceptionHandler

          CassandraRowStream exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<com.datastax.oss.driver.api.core.cql.Row>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          CassandraRowStream handler(Handler<com.datastax.oss.driver.api.core.cql.Row> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<com.datastax.oss.driver.api.core.cql.Row>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          CassandraRowStream pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.

      While it's paused, no data will be sent to the data `handler`.

      Specified by:
        `pause` in interface `ReadStream<com.datastax.oss.driver.api.core.cql.Row>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          CassandraRowStream resume()

      Description copied from interface: `ReadStream`
      Resume reading, and sets the buffer in `flowing` mode.

      If the `ReadStream` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<com.datastax.oss.driver.api.core.cql.Row>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          CassandraRowStream endHandler(Handler<Void> handler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<com.datastax.oss.driver.api.core.cql.Row>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### fetch

          CassandraRowStream fetch(long l)

      Description copied from interface: `ReadStream`
      Fetch the specified `amount` of elements. If the `ReadStream` has been paused, reading will recommence with the specified `amount` of items, otherwise the specified `amount` will be added to the current stream demand.
      Specified by:
        `fetch` in interface `ReadStream<com.datastax.oss.driver.api.core.cql.Row>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pipeTo

          default Future<Void> pipeTo(WriteStream<com.datastax.oss.driver.api.core.cql.Row> dst)

      Description copied from interface: `ReadStream`
      Same as `ReadStream.pipeTo(WriteStream, Handler)` but returns a `Future` of the asynchronous result
      Specified by:
        `pipeTo` in interface `ReadStream<com.datastax.oss.driver.api.core.cql.Row>`

    - #### pipeTo

          default void pipeTo(WriteStream<com.datastax.oss.driver.api.core.cql.Row> dst,
                              Handler<AsyncResult<Void>> handler)

      Description copied from interface: `ReadStream`
      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `pipeTo` in interface `ReadStream<com.datastax.oss.driver.api.core.cql.Row>`
      Parameters:
        `dst` - the destination write stream

Copyright © 2020 Eclipse. All rights reserved.